image:
  name: archlinux:base-devel

variables:
  BUILD_USER: "build"

stages:
  - build

build_cross:
  stage: build
  only:
    #- branches
    #- merge_requests
     - manual
  before_script:
    - pacman -Sy --noconfirm --needed git base-devel
    - bash -c '[[ "$(uname -m)" != "aarch64" ]] && sudo pacman -S --noconfirm --needed aarch64-linux-gnu-gcc' || true
    - 'id "$BUILD_USER" || sudo useradd "$BUILD_USER" -m -G wheel'
    - 'echo "$BUILD_USER ALL=(ALL) NOPASSWD: ALL" | sudo tee /etc/sudoers.d/build'
    - sudo chown -R "${BUILD_USER}" "${CI_PROJECT_DIR}"
  script:
    - ./.gitlab-ci/find-changed.sh "$CI_BUILD_BEFORE_SHA" | xargs -0 -r -n1 sudo ./.gitlab-ci/build-package.sh
  artifacts:
    name: cross_pkgs
    paths:
    - ./*.pkg.tar.*
    - ./*/*.pkg.tar.*
    expire_in: 1 week
  tags: ['docker']

build_native:
  stage: build
  only:
    - branches
    - merge_requests
  script:
    - ./.gitlab-ci/find-changed.sh "$CI_BUILD_BEFORE_SHA" | xargs -0 -r -n1 -- sudo chrootbuild -b arm-testing -cp
  artifacts:
    name: native_pkgs
    paths:
    - ./*.pkg.tar.*
    - ./*/*.pkg.tar.*
    expire_in: 1 week
  tags: ['aarch64','manjaro']
